org.keycloak.authorization.client.util

## Class TokenCallable

- java.lang.Object
- - org.keycloak.authorization.client.util.TokenCallable

- All Implemented Interfaces:
    Callable<String>

      public class TokenCallable
      extends Object
      implements Callable<String>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TokenCallable(Http http, Configuration configuration, ServerConfiguration serverConfiguration)`
    `TokenCallable(String userName, String password, Http http, Configuration configuration, ServerConfiguration serverConfiguration)`
    `TokenCallable(String userName, String password, String scope, Http http, Configuration configuration, ServerConfiguration serverConfiguration)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `call()`
    `protected boolean` | `isRetry()`
    `boolean` | `isTokenTimeToLiveSufficient(AccessToken token)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TokenCallable

          public TokenCallable(String userName,
                               String password,
                               String scope,
                               Http http,
                               Configuration configuration,
                               ServerConfiguration serverConfiguration)

    - #### TokenCallable

          public TokenCallable(String userName,
                               String password,
                               Http http,
                               Configuration configuration,
                               ServerConfiguration serverConfiguration)

    - #### TokenCallable

          public TokenCallable(Http http,
                               Configuration configuration,
                               ServerConfiguration serverConfiguration)

  - ### Method Detail

    - #### call

          public String call()

      Specified by:
        `call` in interface `Callable<String>`

    - #### isTokenTimeToLiveSufficient

          public boolean isTokenTimeToLiveSufficient(AccessToken token)

    - #### isRetry

          protected boolean isRetry()

Copyright © 2021 JBoss by Red Hat. All rights reserved.